View Issue Details

IDProjectCategoryView StatusLast Update
0001645Common[All Projects] Generalpublic2016-08-08 01:35
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version2.0.0 
Summary0001645: Ne pas commiter les fichiers générés
DescriptionMais commiter un fichier contenant leur signature.
De cette façon, j'allègerai le dépôt mercurial à terme (en commitant moins de trucs), et comme le générateur est appelé avant de lancer le déploiement, si les fichiers qu'il génèrent sont différents des fichiers que j'ai "validés" (en faisant mes tests en local), alors le fichier de signature (un bête "pdo.gen.md5" par exemple) aura été modifié, et l'outil de déploiement (qui vérifie que tout dans le dépôt a bien été commiter) va m'envoyer bouler.

A voir si je peux faire de même avec les fichiers du framework (mais pas sûr du tout). Non car le FW n'est pas reconstructible à partir d'un dépôt donné (alors que les gen le sont)
TagsNo tags attached.
Attach Tags

Activities

Xenostom

Xenostom

2016-08-03 17:29

developer   ~0002118

Les fichiers générés ne sont plus commités: seule une signature l'est, ce qui empêchera de déployer avec des gen pas testés.

Issue History

Date Modified Username Field Change
2016-07-23 11:46 Xenos New Issue
2016-07-23 11:46 Xenos Status New => Accepted
2016-08-03 16:30 Xenostom Assigned To => Xenostom
2016-08-03 16:30 Xenostom Status Accepted => In progress
2016-08-03 16:31 Xenostom Description Updated View Revisions
2016-08-03 17:29 Xenostom Note Added: 0002118
2016-08-03 17:29 Xenostom Status In progress => Ready
2016-08-03 17:29 Xenostom Resolution open => fixed
2016-08-08 01:30 AutoUpdater Assigned To Xenostom => Xenos
2016-08-08 01:30 AutoUpdater Status Ready => Resolved
2016-08-08 01:31 AutoUpdater Fixed in Version => 2.0.0
2016-08-08 01:35 Xenos Status Resolved => Close